Bug 231729 - (CVE-2007-1406) trac < 0.10.3.1 XSS
trac < 0.10.3.1 XSS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: trac (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-10 16:42 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-11 09:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-03-10 16:42:59 EST
http://secunia.com/advisories/24470
http://trac.edgewall.org/wiki/ChangeLog#a0.10.3.1

"The vulnerability is caused due to an error within the "download wiki page as
text" function, which can be exploited to execute arbitrary HTML and script code
in a user's browser session in context of an affected site. Successful
exploitation may require that the victim uses IE."

Based on version numbers, all FE5+ releases affected.
(No CVE id yet AFAIK)
Comment 1 Jeffrey C. Ollie 2007-03-11 09:40:16 EDT
I've updated trac in CVS to 0.10.3.1 and submitted builds, but the packages
haven't been pushed out to the mirrors yet.

Note You need to log in before you can comment on or make changes to this bug.